.code
; 
; LoadFile loads a disk file into a memory buffer of the same length,
; lpName is the disk file to open
; hMem$ is the memory block that the file was copied to
; Return values: eax is pointer to memory
;				 ecx file size in bytes
; 

EXTERNDEF p2File: DWORD
EXTERNDEF pFile1:dword
EXTERNDEF SizeRead:dword
EXTERNDEF temp_buffer:byte
EXTERNDEF searchstring:byte

LoadFile proc lpName:DWORD

    LOCAL hFile     :DWORD		;handle to file
    LOCAL flen        :DWORD	;file lenght
    LOCAL bRead     :DWORD
    LOCAL hMem     :DWORD      ; source memory handle
    
    invoke CreateFile,lpName,GENERIC_READ,0,NULL,OPEN_EXISTING,NULL,NULL
    mov hFile, eax

    invoke GetFileSize,hFile,NULL
    mov flen, eax

    stralloc flen		;allocate flen bytes of space on the heap for tthe file
    mov hMem, eax      ; pointer to allocated memory

    invoke ReadFile,hFile,hMem,flen,ADDR bRead,NULL
    invoke CloseHandle,hFile
	mov eax,hMem
	mov ecx,flen
    ;strfree hMem			the calling proc has to free allocated memory when done

    ret

LoadFile endp
; 


string Proc hWin,Ctrl1,Ctrl2 
         ;fn MessageBox,hWin,pFile1,"Testing pFile1",MB_OK

    xor eax,eax
    xor ecx,ecx
    ;lea edx,sPos

    L1:
    readline, pFile1, OFFSET temp_buffer,offset SizeRead
    cmp eax,0
    je getout
    mov SizeRead,eax
	cmp ecx,0
    je emptyline
    invoke InString,2,offset temp_buffer,offset searchstring
	.if eax 
     fn SendDlgItemMessage, hWin, addr Ctrl2, LB_ADDSTRING, 0, offset temp_buffer
;     .else
     .endif
     emptyline:
     mov temp_buffer,0
     jmp L1
  	getout:
      fn MessageBox,hWin,pFile1,"Testing pFile1",MB_OK
   
ret
string endp

